from __future__ import annotations

from pathlib import Path

from clarabot_nano.common.config.extract.base import AbstractExtractedConfig


class DataDirExtractedConfig(AbstractExtractedConfig):
    def __init__(self, config):
        # NOTE: this is for convenience as it cannot change runtime (local).
        self.data_dir = Path(config["local"]["data_dir"])

    def _matches(self, other: DataDirExtractedConfig) -> bool:
        return self.data_dir == other.data_dir
